Creates a work order.

Creates a work order.

Rate limit: 100 requests/min (learn more about rate limits here).

To use this endpoint, select Write Work Orders under the Work Orders category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Work Order Request

date-time

The historical time the work order was archived (closed or cancelled), in RFC 3339 format. Is automatically set when the status is Closed or Cancelled and this field is not provided.

string
required

The ID of the asset. Either a Samsara ID or an external ID in key:value form, for example vin:1HGCM82633A004352.

string

The ID of the assigned mechanic.

attributes
array of objects

A list of custom fields (attributes) to assign to the work order. Each entry requires the attribute id. Use stringValues for text, single-select, and multi-select attributes, numberValues for number attributes, and dateValues (YYYY-MM-DD) for date attributes. For single-select and multi-select attributes, send the text of a defined option. The request is rejected if any attribute or value is invalid. Only available for organizations with work order custom fields enabled.

attributes
string

The category of the work order

date-time

The historical time the work order was completed, in RFC 3339 format. Is automatically set when the status is Closed or Completed and this field is not provided.

string

ID of the dashboard user to attribute as the work order creator for display and creator notifications. Does not change who is recorded as the API actor in the activity log. Must be a user in the organization. When omitted, defaults to the API token owner. Accepted only when the organization has the create-created-by feature enabled.

string

A description of what needs to be fixed.

discount
object

How much a work order is discounted. Either money or basisPoints are specified.

date-time

The due date of the work order in RFC 3339 format.

int64

The engine hours at the time of the work order. Will default to current asset reading if unset.

string

The invoice number for the work order.

items
array of objects

Items related to the work order.

items
int64

The odometer reading at the time of the work order. Will default to current asset reading if unset.

string

External ID (key:value) of the Place where the work is performed. Resolved against the organization's external IDs for places; the resolved Place must be linked to a maintenance site. Mutually exclusive with placeId.

string

ID of the Place where the work is performed. Must reference a Place returned by the Places API that is linked to a maintenance site in the organization. Mutually exclusive with placeExternalId.

string

The purchase order number for the work order.

string
enum

The priority of the work order Valid values: High, Low, Medium, Urgent

Allowed:
serviceTaskInstances
array of objects

Service Tasks for the work order.

serviceTaskInstances
date-time

The historical time work started on the work order, in RFC 3339 format. Is automatically set when the status is an in-progress status and this field is not provided.

string
enum

The initial user-selectable status of the work order. Defaults to Open when not provided. Estimate workflow statuses are system-managed and cannot be set directly. Valid values: Assigned, Cancelled, Closed, Completed, Estimate, In Progress, On Hold, Open, Pending Approval, Pending Parts, Planning

tax
object

How much tax is applied to a work order. Either money or basisPoints are specified. If not provided, the default tax rate will be used.

string

The vendor UUID for the work order.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json